<?php

namespace App\ViewModels\Pagamento\PagamentoComandaLancamentoRegistrationViewModel;

use CodeIgniter\Entity;

class PagamentoComandaLancamentoViewModel extends Entity {
	protected $id;
	protected $comanda_item_id;
	protected $comanda_fechamento_id;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;
	protected $extornado;

	public static function builder(): PagamentoComandaLancamentoViewModelBuilder {

		return (new PagamentoComandaLancamentoViewModelBuilder());

	}

		/**
	 * @return mixed
	 */
	public function getId() {

		return $this->id;
	}


	/**
	 * @return mixed
	 */
	public function getComandaItemId() {

		return $this->comanda_item_id;
	}


	/**
	 * @return mixed
	 */
	public function getComandaFechamentoId() {

		return $this->comanda_fechamento_id;
	}


	/**
	 * @return mixed
	 */
	public function getCriado_por() {

		return $this->criado_por;
	}


	/**
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;
	}


	/**
	 * @return mixed
	 */
	public function getAtualizado_por() {

		return $this->atualizado_por;
	}


	/**
	 * @return mixed
	 */
	public function getDataAtualizacao() {

		return $this->data_atualizacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraAtualizacao() {

		return $this->hora_atualizacao;
	}

	/**
	 * @return mixed
	 */
	public function getExtornado() {
		
		return $this->extornado;
	}
	

	/**
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
	}


	/**
	 * @param mixed $tipo_fechamento
	 */
	public function setComandaItemId($comanda_item_id) {

		$this->comanda_item_id = $comanda_item_id;
	}


	/**
	 * @param mixed $valor
	 */
	public function setComandaFechamentoId($comanda_fechamento_id) {

		$this->comanda_fechamento_id = $comanda_fechamento_id;
	}


	/**
	 * @param mixed $criado_por
	 */
	public function setCriado_por($criado_por) {

		$this->criado_por = $criado_por;
	}


	/**
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;
	}


	/**
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;
	}


	/**
	 * @param mixed $atualizado_por
	 */
	public function setAtualizado_por($atualizado_por) {

		$this->atualizado_por = $atualizado_por;
	}


	/**
	 * @param mixed $data_atualizacao
	 */
	public function setDataAtualizacao($data_atualizacao) {

		$this->data_atualizacao = $data_atualizacao;
	}


	/**
	 * @param mixed $hora_atualizacao
	 */
	public function setHoraAtualizacao($hora_atualizacao) {

		$this->hora_atualizacao = $hora_atualizacao;
	}

	public function setExtornado($extornado) {
		
		$this->extornado = $extornado;
	}
	

}

